What are the latest versions of Photoshop and Lightroom Classic that don't require a DirectX 12 GPU?

New Here ,
Mar 02, 2022 Mar 02, 2022

Copy link to clipboard

Copied

Hello,

I am interested in your Photography subscription, but I know that the latest versions of Photoshop CC and Lightroom Classic require a DirectX 12 GPU for hardware accelerations. My PC has an AMD Radeon HD 6900 GPU that does not support DirectX 12, but only DirectX11. If I order the Photography subscription, is it possible to download an older Photoshop CC and Lightroom Classic version in which the hardware acceleration still works with a DirectX 11 GPU?

 

What are the latest versions of Photoshop CC and Lightroom Classic that still support hardware acceleration with a DirectX 11 GPU?

 

Thank you!

TOPICS
Creative Cloud , Installation , New user

Views

73

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Mar 02, 2022 Mar 02, 2022

Copy link to clipboard

Copied

Photoshop's curernt version is 23. I see that DirectX12 is needed both for version 23 and 22 and those are the only two versions supported by Adobe(last two major versions). You can check the system requirement at the following link

https://helpx.adobe.com/photoshop/system-requirements.html

https://helpx.adobe.com/lightroom-classic/system-requirements.html

-Manan

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Mar 02, 2022 Mar 02, 2022

Copy link to clipboard

Copied

LATEST

the most recent ps version that does not require directx 12 is September 2020 release (version 21.2.3)**.  to obtain cc 2020 links you must ask adobe support, if you have a subscription*.

 

the most recent lr versions that do not require directx 12 is November 2019 release (version 9.0) to August 2020 release (version 9.4)***. again, for a link you must ask adobe support, if you have a subscription*.

 

*

using a browser that allows popups and cookies, contact adobe support during pst business hours by clicking here, https://helpx.adobe.com/contact.html?rghtup=autoOpen
in the chat field (lower right), type AGENT
be patient, it can take quite a while to reach a human

 

** does require:

Graphics card

nVidia GeForce GTX 1050 or equivalent; nVidia GeForce GTX 1660 or Quadro T1000 is recommended

 

 

***

does require:

Graphics processor acceleration requirements

 

  • AMD: Radeon GPU with DirectX 12 or OpenGL 3.3 support.
  • Intel: Skylake or newer GPU with DirectX 12 support.
  • NVIDIA: GPU with DirectX 12 or OpenGL 3.3 support.
  • OpenGL 3.3 and DirectX 10-capable video adapter for GPU-related functionality.
  • 1 GB Video RAM (VRAM). 2 GB of dedicated VRAM (4 GB recommended) for large, high-resolution monitors, such as 4K- and 5K-resolution monitors.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines